#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mb_cache_entry_create, "", "");
KSYMTAB_FUNC(__mb_cache_entry_free, "", "");
KSYMTAB_FUNC(mb_cache_entry_wait_unused, "", "");
KSYMTAB_FUNC(mb_cache_entry_find_first, "", "");
KSYMTAB_FUNC(mb_cache_entry_find_next, "", "");
KSYMTAB_FUNC(mb_cache_entry_get, "", "");
KSYMTAB_FUNC(mb_cache_entry_delete_or_get, "", "");
KSYMTAB_FUNC(mb_cache_entry_touch, "", "");
KSYMTAB_FUNC(mb_cache_create, "", "");
KSYMTAB_FUNC(mb_cache_destroy, "", "");

MODULE_INFO(depends, "");

